Hammer - Unable to create a read only user to dump templates

03/01/2016 03:30 PM - Brad Buckingham

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1302789 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1302789

Description of problem: Hammer - Unable to create a read only user to dump templates

Version-Release number of selected component (if applicable): 6.1.5

How reproducible:

Steps to Reproduce:

1. Create a role named example "testrole" select resource type Provisioning template and add all permissions (view_templates,

create_templates, edit_templates, destroy_templates, deploy_templates, lock_templates)

2. Create a user named "test" and add roles testrole, View hosts, Viewer and View compliance reports.

3. Now login with user test and execute below commands to dump template.

1. hammer list templates

take a template id number which you want to dump.

1. hammer -u test -p redhat template dump --id 41

Resource config_template not found by id '41'

Test user gets an error "Resource config_template not found by id '41'" while dumping template.

Actual Result - It fails with above error.

Expected Result - It should dump without any error.

Related issues:

Is duplicate of Foreman - Bug #9687: Provisioning Template Roles: view_templa... Closed 03/09/2015

History

#1 - 03/02/2016 03:49 AM - Dominic Cleal

- Is duplicate of Bug #9687: Provisioning Template Roles: view_template, edit_template doesn't render on 1.7.3 for non-admin added

#2 - 03/02/2016 03:49 AM - Dominic Cleal

- Status changed from New to Duplicate
